Get attachmentsGET
Description
Returns all attachments for a task.
There are 5 providers: "KanbanFlow", "Dropbox", "GoogleDrive", "OneDrive" and "Box". Each attachment has a link where you can access the file.
Attachments with the provider KanbanFlow also have the property kanbanFlowType. It tells what kind of attachment it is:
- file: A file stored at KanbanFlow. There is an additional timestamp for when the link will expire.
- textDocument: A text document written directly in KanbanFlow. The link opens the document in KanbanFlow. See Get text document content for information about how to get the content using the API.
Permissions
Request format
curl https://kanbanflow.com/api/v1/tasks/<TASK_ID>/attachments
Example response
[
{
"_id": "Aks4VwyRB",
"provider": "KanbanFlow",
"kanbanFlowType": "file",
"name": "report.pdf",
"size": 12438,
"mimeType": "application/pdf",
"link": "https://s3-eu-west-1.amazonaws.com/kanbanflow/...",
"linkExpiresTimestamp": "2023-02-16T12:42:22.089Z",
"createdTimestamp": "2023-02-15T12:42:21.673Z",
"createdByFullName": "John Doe"
},
{
"_id": "A3VJU6yeb",
"provider": "Dropbox",
"name": "chart.png",
"size": 9712,
"mimeType": "image/png",
"link": "https://www.dropbox.com/s/...",
"createdTimestamp": "2023-02-15T12:43:16.425Z",
"createdByFullName": "Mary Anderson"
},
{
"_id": "Ad7KpX2mQ",
"provider": "KanbanFlow",
"kanbanFlowType": "textDocument",
"name": "Meeting notes.txt",
"mimeType": "text/plain",
"link": "https://kanbanflow.com/task-attachment/Ad7KpX2mQ",
"createdTimestamp": "2023-02-15T12:45:03.112Z",
"createdByFullName": "John Doe"
}
]